      subroutine calc
      use module
      IMPLICIT REAL*8(A-H,O-X,Z),LOGICAL*1 (Y)
      yw=.false.
      c(0,0)=1
      if(noac==0) return
C=====CALCUL DE C
      DO I=0,noac
         DO J=0,noac
            C(I,J)=-50
            if(i.lt.j) c(i,j)=0
            if(yw)write(6,*)'C(i,j),i,j',c(i,j),i,j
         ENDDO
      ENDDO
      DO I=0,noac
c   C(I,J)=combinaison de J parmi I
         C(I,-1)=0
         C(I,0)=1
         C(I,1)=I
         C(I,I)=1
         if(yw)write(6,*)'c(i,j),i,j',c(i,0),i,0
         if(yw)write(6,*)'c(i,j),i,j',c(i,1),i,1
         DO J=2,noac
            IF(J.GT.I) cycle
            C(I,J)=(C(I,J-1)*(I-J+1))/(J)
            if(yw)write(6,*)'c(i,j),i,j',c(i,j),i,j
         enddo
      enddo
      return
      end
